Open CASCADE Technology: IFGraph_Cycles Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFGraph_Cycles Class Reference

determines strong componants in a graph which are Cycles More...

`#include <IFGraph_Cycles.hxx>`

Inheritance diagram for IFGraph_Cycles:
[legend]

## Public Member Functions
| IFGraph_Cycles (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later More...
| IFGraph_Cycles (IFGraph_StrongComponants &subparts)
| creates from a StrongComponants which was already computed More...
virtual void | Evaluate ()
| does the computation. Cycles are StrongComponants which are not Single More...
Public Member Functions inherited from IFGraph_SubPartsIterator
| IFGraph_SubPartsIterator (const Interface_Graph &agraph, const Standard_Boolean whole)
| Creates with a Graph, whole or parts of it whole True : works on the entire Model whole False : empty, ready to be filled SubPartIterator is set to load entities. More...
| IFGraph_SubPartsIterator (IFGraph_SubPartsIterator &other)
| Creates a SubPartIterator from another one and gets its Data Note that only non-empty sub-parts are taken into account PartNum is set to the last one. More...
void | GetParts (IFGraph_SubPartsIterator &other)
| Gets Parts from another SubPartsIterator (in addition to the ones already recorded) Error if both SubPartsIterators are not based on the same Model. More...
Handle< Interface_InterfaceModel > | Model () const
| Returns the Model with which this Iterator was created. More...
void | AddPart ()
| Adds an empty part and sets it to receive entities. More...
Standard_Integer | NbParts () const
| Returns count of registered parts. More...
Standard_Integer | PartNum () const
| Returns numero of part which currently receives entities (0 at load time) More...
void | SetLoad ()
| Sets SubPartIterator to get Entities (by GetFromEntity & GetFromIter) into load status, to be analysed later. More...
void | SetPartNum (const Standard_Integer num)
| Sets numero of receiving part to a new value Error if not in range (1-NbParts) More...
void | GetFromEntity (const Handle< Standard_Transient > &ent, const Standard_Boolean shared)
| Adds an Entity : into load status if in Load mode, to the current part if there is one. If shared is True, adds also its shared ones (shared at all levels) More...
void | GetFromIter (const Interface_EntityIterator &iter)
| Adds a list of Entities (into Load mode or to a Part), given as an Iterator. More...
void | Reset ()
| Erases data (parts, entities) : "me" becomes empty and in load status. More...
Interface_GraphContent | Loaded () const
| Returns entities which where loaded (not set into a sub-part) More...
Interface_Graph | LoadedGraph () const
| Same as above, but under the form of a Graph. More...
Standard_Boolean | IsLoaded (const Handle< Standard_Transient > &ent) const
| Returns True if an Entity is loaded (either set into a sub-part or not) More...
Standard_Boolean | IsInPart (const Handle< Standard_Transient > &ent) const
| Returns True if an Entity is Present in a sub-part. More...
Standard_Integer | EntityPartNum (const Handle< Standard_Transient > &ent) const
| Returns number of the sub-part in which an Entity has been set if it is not in a sub-part (or not loaded at all), Returns 0. More...
void | Start ()
| Sets iteration to its beginning; calls Evaluate. More...
Standard_Boolean | More ()
| Returns True if there are more sub-parts to iterate on Note : an empty sub-part is not taken in account by Iteration. More...
void | Next ()
| Sets iteration to the next sub-part if there is not, IsSingle-Entities will raises an exception. More...
Standard_Boolean | IsSingle () const
| Returns True if current sub-part is single (has only one Entity) Error if there is no sub-part to iterate now. More...
Handle< Standard_Transient > | FirstEntity () const
| Returns the first entity of current sub-part, that is for a Single one, the only one it contains Error : same as above (end of iteration) More...
Interface_EntityIterator | Entities () const
| Returns current sub-part, not as a "Value", but as an Iterator on Entities it contains Error : same as above (end of iteration) More...
virtual void | Delete ()
virtual | ~IFGraph_SubPartsIterator ()

## Additional Inherited Members
Protected Attributes inherited from IFGraph_SubPartsIterator
Interface_Graph | thegraph

## Detailed Description

determines strong componants in a graph which are Cycles

## Constructor & Destructor Documentation

IFGraph_Cycles::IFGraph_Cycles | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |  |

creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later

IFGraph_Cycles::IFGraph_Cycles | ( | IFGraph_StrongComponants & | subparts | ) |

creates from a StrongComponants which was already computed

## Member Function Documentation

virtual void IFGraph_Cycles::Evaluate | ( |  | ) |
| virtual

does the computation. Cycles are StrongComponants which are not Single

Reimplemented from IFGraph_SubPartsIterator.

The documentation for this class was generated from the following file:

- IFGraph_Cycles.hxx